<?php
/*
Template Name: buyers
*/
?>

<?php get_header();?>
	<div class="gallery-box">
		<div class="gallery-holder">
			<div class="text-box">
				<h1><img src="<?php bloginfo('stylesheet_directory');?>/images/buyers-text-1.png" alt="" /></h1>
				<p class="seriff">Ask anyone who has tried to buy a home on their own or worked with an ineffective agent and they’ll tell you that buying a home is a complex, confusing &amp; frustrating process. Now ask someone who has worked with a good Buyer’s Agent, and they’ll tell you about a positive, straight forward, exciting time. Choosing the right Realtor to work as your Buyer’s Agent can mean the difference between a stressful, unhappy
experience and the exciting and rewarding experience buying a home should be.
</p>
                <h2 class="bold">“Buying a home should be an exciting and rewarding experience”</h2>
                <p class="seriff">Our goal as your Buyer’s Agent is to guide you through the buying process with a patient, no pressure approach. We provide you with
                unbiased, objective opinions to help you make informed decisions. We aim to make the whole process enjoyable and with the least amount of stress possible. We don’t want to just sell you any home. We want to help you find the right home, in the right neighbourhood, at the right price for you. We are committed to finding you your dream home and always have your best interests as our #1 priority.
                </p>
			</div>
		</div>
	</div> 
    <article class="content">
    	<h1 class="no-marg">
    		<img src="<?php bloginfo('stylesheet_directory');?>/images/buyers-text-2.png" alt="" class="seller-text-2" />
    	</h1>
            <section class="section text-box">
                <h2>“We’ve saved some money, we’re thinking about buying a house, <br />where do we start?”</h2>
				<ul class="order-list" id="special-list">
					<li>
						<h3 class="left-align">Your first step is to find a good Buyer’s Agent to get the process started.</h3>
						<div class="text-holder">
							<div class="text-wrapp">
								<ul class="seller-list">
									<li class="justify">Buying a home is a very exciting time and having to worry about every step of the process is not something you should have to do. Our goal is to ensure that your home buying process is a smooth, almost stress free experience. We have years of experience walking first time home buyers & experienced home buyers through the steps, providing referrals to reputable companies and finding your dream home and negotiating the best price for it.</li>
								</ul>
							</div>
						</div>
					</li>
					<li>
						<h3 class="left-align">Mortgage preapproval is your next step. Knowing exactly how much you have to spend means you won’t waste time looking in a price range you can’t afford, or getting your hopes up about homes you can’t buy. You’ll know exactly how much you have to spend and how much room you have to negotiate and can go into offers confident that your financing is in place. </h3>
						<div class="text-holder">
							<div class="text-wrapp">
								<ul class="seller-list">
									<li class="justify" style="word-spacing:2px">We can provide you with the name(s) of reputable mortgage brokers and lenders to get your preapproval done quickly</li>
								</ul>
							</div>
						</div>
					</li>
				</ul>
            </section>
            <section class="section text-box">
                <h2>“We have our preapproval and know how much we have to spend, what next?”</h2>
                <ul class="order-list" id="special-list">
                	<li>
                		<h3 class="left-align" style="word-spacing:0px">Once you know how much you have to spend, then it’s time to figure out what your needs vs. wants are. Ie. if your children must be within a certain school district, that’s a need; if you would like a pool or hot tub, that’s a want.</h3>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">We know the areas and have the knowledge to help you narrow down exactly what you’re looking for and where. The needs vs. wants list can be a machine with many moving parts, changing as you look at homes. Don’t worry, we’ll adapt as we go to find you your dream home</li>
                				</ul>
                			</div>
                		</div>
                	</li>
                	<li>
                		<h3 class="left-align">The ease of communication and accessibility of your Buyer’s Agent is very important. You will no doubt have lots of questions about the process, about neighbourhoods, about various homes, etc.</h3>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">We are available by phone, fax, e-mail, text and office paging so that you can send us your questions anytime. We will be there for your every step of the way</li>
                				</ul>
                			</div>
                		</div>
                	</li>
                	<li>
                		<h3 class="left-align">You’ve no doubt been looking in the newspapers, magazines and online at all the homes, been to a few open houses and are super excited to find your home. You have an idea of what you want, where you want to be, how much you have to spend…let’s look at some homes and find that dream home!</h3>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">We will be e-mailing you daily with all the new listings for you to consider. We will then arrange private viewings of all the homes that meet your criteria…and maybe even a few that don’t but might be great options you haven’t thought of. We want you to be able to take your time looking at each home and we’ll be there every step of the way pointing out things you may not notice (positive &amp; negative)</li>
                				</ul>
                			</div>
                		</div>
                	</li>
                </ul>
            </section>
            <section class="section text-box" id="buyers-why-why">
                <h2>“We’ve found our dream home…now what?”</h2>
                <ul class="order-list" id="special-list">
                	<li>
                		<h3 class="left-align" style="letter-spacing:-1px;">The most exciting, and probably the most stressful time is when you’ve found your dream home and want to put an offer in. That’s where a good Buyer’s Agent really proves themselves by providing you with not only unbiased, objective opinions, but also provides you with the most information and facts to help you make the right decision for you.</h3>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">We research the home, find out what similar homes are selling for, and put a value range on the home and help you determine an initial offer, conditions, inclusions etc. Then we put our extensive negotiating expertise to work for you. Remember, we are looking out for your best interests and our goal is to get you your dream home at the best possible price and terms for you</li>
                				</ul>
                			</div>
                		</div>
                	</li>
                	<li>
                		<h3 class="left-align" style="word-spacing:0.5px;letter-spacing:-0.5px;">Most offers include various conditions. Two of the main conditions are home inspection and financing.</h3>
                		<p class="subtitle"><strong>Financing –</strong> Because you’ve been preapproved you should have nothing to worry about on financing (unless anything has changed in your life since your preapproval – job loss, increase in debt etc.) so it’s just a matter of the lender ensuring the home is worth what you’re paying for it before they give the final approval.</p>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">We will be working behind the scenes to supply the lender with any and all information about the purchase they need in order to approve the mortgage for the home, including ensuring the appraiser gets into the home within the allotted condition period</li>
                				</ul>
                			</div>
                		</div>
                		<p class="subtitle"><strong>Home Inspection –</strong> Whether you’re a first time home buyer or an experienced home buyer, a home inspection should be included in all purchases (new or resale). This is to determine if everything is working & there are no problems that you haven’t thought about or expected.</p>
                		<div class="text-holder">
                			<div class="text-wrapp">
                        		<ul class="seller-list">
                        			<li class="justify" id="buyers-why-why-1">We will provide you with a list of reputable home inspectors and will accompany you on the inspection. Should there be any problems, we will communicate with the Seller’s Agent and negotiate accordingly</li>
                        		</ul>
                        	</div>
                        </div>
                	</li>
                </ul>
            </section>
            <section  class="section text-box">
                <h2>“The negotiations are done, the deposit has been dropped off, <br>conditions have been met, what do we do now?”</h2>
                <ul class="order-list" id="special-list">
                	<li>
                		<h3 class="left-align">The next step is to find a lawyer who will be responsible for checking for clean title on the home, organizing all paperwork for you to sign (including the financing paperwork, transferring the title etc.)   then finally getting you the keys to your new home!</h3>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">We have a list of reputable lawyers to assist you in finding the right real estate lawyer for you. Once you have decided on one, we will ensure that all the necessary paperwork gets to the lawyer so that you can close on your new home</li>
                				</ul>
                			</div>
                		</div>
                	</li>
                	<li>
                		<h3 class="left-align">Congratulations, you just bought a home!</h3>
                		<div class="text-holder">
                			<div class="text-wrapp">
                				<ul class="seller-list">
                					<li class="justify">Just because you’ve bought your dream home doesn’t mean our job is done. We are here for you just as we have been throughout the process. You can count on us today, tomorrow and long after you move into your new home. If you have any questions, need a referral to a painter, contractor etc., or for any of your future real estate needs, please do not hesitate to contact us. We’re here for you!</li>
                				</ul>
                			</div>
                		</div>
                	</li>
                </ul>
            </section>
	</article> 
</section> <!-- end of buyers section -->
<?php get_footer(); ?>