<?php
/*
Template Name: buyer FAQ
*/
get_header();
?>
			
	<article class="content">
		<h1><img src="<?php bloginfo('stylesheet_directory');?>/images/buyer-faq-text-1.png" alt="" /></h1>
		<section class="section">
			<h2>Money</h2>
			<ol class="order-list">
				<li>
					<h3><a href="#">What are the costs involved in buying?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p><strong>Deposit</strong> - The money you put with your offer, to show your good faith and that you are serious about buying the home. It's generally 3% to 5% of the purchase price. It goes towards the purchase price on closing.</p>
							<p><strong>Downpayment</strong> - The amount of money that you are putting towards the purchase of the home. A minimum of 5% of the purchase price is required. Talk to a lender about preapproval to determine how much of downpayment you need.</p>
							<p style="word-spacing:1px;"><strong>Closing Costs</strong> - This is the amount of money needed over and above the downpayment, to pay for things like legal fees, financing/appraisal fees, home inspection, and land transfer tax. Generally the amount to budget is 1.5% of the purchase price.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">What is Land Transfer Tax and how much is it?</a></h3>
					<div class="text-holder">
						<p>This is a tax charged by the province when ownership of property is changed. It is normally paid by the purchaser when property is bought.</p>
						<strong class="title" style="word-spacing:-1px;">In ONTARIO (except Toronto which has an additional tax) the Land Transfer Tax (LTT) is charged as follows:</strong>
						<ul class="list">
							<li class="seriff">0.5% on amounts up to and including $55,000 plus</li>
							<li class="seriff">1.0% on the amount exceeding $55,000 up to and including $250,000 plus</li>
							<li class="seriff">1.5% on amounts above $250,000 up to and including $400,000 plus</li>
							<li class="seriff">2.0% on the amount in excess of $400,000</li>
						</ul>
						<strong class="title">For example, the Land Transfer Tax on a house costing $250,000 would be $2,225.00</strong>
						<strong class="title">This is calculated as follows:</strong>
						<ul class="list list-last">
							<li class="seriff">• 55,000 x 0.5% = $275.00</li>
							<li class="seriff">• 195,000 x 1.0% = $1,950.00</li>
							<li class="seriff">Adding these two amounts together = $2,225.00</li>
						</ul>
					</div>
				</li>
				<li>
					<h3><a href="#">Why do I need to get preapproved?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>When you get preapproved, you know exactly how much money you have to spend, so you won't waste your time looking at homes that you can't afford, or getting your hopes up about homes that you can't buy. You'll also be in a very good buying position and can feel confident going into an offer knowing exactly how much you have to spend and how much negotiating room you have. Not to mention that your stress levels will be much lower because you don't have to stress about whether you'll get your financing or not. A good Buyer's Agent, like Jamie & Sherry, can provide you with the name(s) of reputable mortgage brokers and lenders so you can get your preapproval done quickly.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">How much of a deposit do I need?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>Deposits are generally 3% to 5% of the purchase price, given with the offer to show your good faith and seriousness about buying the home. The deposit will go towards the purchase price of the home on closing.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">Do I have to pay HST?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>When buying a resale home there is no HST paid over and above the purchase price. HST does apply to new homes though. You will have to pay HST on things like lawyers fees, home inspections, appraisals, mortgage insurance, but not on the purchase price of a resale home.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">How much will it cost me to have a Realtor represent me?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>Great news! You will not have to pay anything to have a Buyer's Agent represent you. The commission comes from the Selling side. Even though you don't have to pay the fee, a good Buyer's Agent, like Jamie & Sherry, will be representing you and your best interests.</p>
						</div>
					</div>
				</li>
			</ol>
			<!--
			<ol class="order-list order-list-mark">
				<li>
					<h3><a href="#">What are the costs involved in buying?</a></h3>
				</li>
				<li>
					<h3><a href="#">What is Land Transfer Tax and how much is it?</a></h3>
				</li>
				<li>
					<h3><a href="#">Why do I need to get preapproved?</a></h3>
				</li>
				<li>
					<h3><a href="#">How much of a deposit do I need?</a></h3>
				</li>
				<li>
					<h3><a href="#">Do I have to pay HST?</a></h3>
				</li>
				<li>
					<h3><a href="#">How much will it cost me to have a Realtor represent me?</a></h3>
				</li>
			</ol>
-->

		</section> <!-- end of money section  -->
		<section class="section section-mark">
			<h2>Working with a Realtor</h2>
			<ol class="order-list">
				<li>
					<h3><a href="#">Why do I need to work with a Realtor?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>You’ll save time, money and stress levels! </p>
							<p>A good Buyer’s Agent, like Jamie & Sherry, will save you time by narrowing down exactly what you are looking for. They will have information the second it hits the mls (not a week later when it hits the paper, or several weeks later when it hits the magazines, or several days later when it goes on Realtor.ca). A good Buyer’s Agent, like Jamie & Sherry, will save you money because they are experienced negotiators with tremendous market knowledge and access to all the information necessary to negotiate the best price and the best terms for you. </p>
							<p>You’ll be a lot less stressed when you know that you have a good Buyer’s Agent, like Jamie & Sherry, whose job it is to check for the listings for you every single day, and get you appointments to see houses immediately, and when you find the right house, they are a wealth of information, and will provide you with unbiased, objective opinions so you can make informed decisions. Not to mention the facts they will provide will ensure you don’t overpay for a home.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">I’m a good negotiator, so why can’t I just buy directly from the listing agent?</a></h3>
					<div class="text-holder">
						<p>The listing agent is working for the Seller, not you! They are under contract with the Seller to get them the most money & the best terms for them, not the Buyer. You need a good Buyer’s Agent, like Jamie & Sherry, working for you to ensure you get the best deal on the home and that your best interests are being look after.</p>
					</div>
				</li>
				<li>
					<h3><a href="#">I’m pretty diligent about looking in the paper and online to find my house, so I don’t really need a Realtor to look for a house for me.</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>Not all listings are advertised. It’s a very expensive marketing tool that not all agents put the investment into so not all homes are advertised. Plus the ad copy has to be in almost a week before it goes to print, so many of the homes you see in the paper may already be sold. The home is listed on Realtor.ca a minimum of 24 hours after it’s been listed on the agent’s mls, and then the pictures aren’t posted until another 24 hours after they have been taken. That means it could be days before you have access to the information you need or want, and the home could be sold by then. A good Buyer’s Agent, like Jamie & Sherry, will be on top of the new listings and you will know about it before it hits the papers, magazines or even online. It could mean the difference between getting your dream home or not, or overpaying for your dream home because you’re in a bidding war.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">I saw a house on Realtor.ca but when I called about it, it was already sold. What’s up with that?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>When homes are listed, they are put on the agent’s mls system first and then they are transferred to Realtor.ca, which takes a minimum of 24 hours. Then the pictures aren’t posted on Realtor.ca until another 24 hours after they are taken, so sometimes it can be days before you get the listing information and the details you want or need. By then the home could already be sold. Also, Realtor.ca doesn’t record conditional sales, so it either shows for sale or it comes off the system when it’s sold. A good Buyer’s Agent, like Jamie & Sherry, will be on top of the homes you are looking for and will notify you about it before it’s even posted online.</p>
						</div>
					</div>
				</li>
				
			</ol>
			
			<!--

			<ol class="order-list order-list-mark">
				<li>
					<h3><a href="#">Why do I need to work with a Realtor?</a></h3>
				</li>
				<li>
					<h3><a href="#">I'm a good negotiator» so why can't I just buy directly from the listing agent ?</a></h3>
				</li>
				<li>
					<h3><a href="#">I'm pretry diligent about looking in the paper and online to find my house, so I don't really need a Realtor to look for a house for me</a></h3>
				</li>
				<li>
					<h3><a href="#">I saw a house on Realtor.ca but when I called about it, it was already sold. What's up with that</a></h3>
				</li>
			</ol>
-->

		</section> <!-- end of realtor section  -->
		<section class="section section-mark">
			<h2>Buying Your Dream Home</h2>
			<ol class="order-list">
				<li>
					<h3><a href="#">How do I know if the list price is fair?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>Market Value of a home is the highest price a purchaser is willing to pay for home, after viewing homes currently listed for sale and similar homes that have recently sold in the area. Sellers can ask any price they want, but the real determination of the value is based on comparables. A good Buyer’s Agent, like Jamie & Sherry, will provide you with comparable listings and sales to help you determine the price range a home should sell for to ensure you aren’t overpaying for a home.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">How do I know what price to offer?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p style="letter-spacing:0px; word-spacing:1px;">A good Buyer’s Agent, like Jamie & Sherry, will pull up all the homes currently listed in that price range, and all the recent sales similar homes in the area. This will help you to come up with the range of value of the home. Based on this info, you should have a good idea of what you are willing to pay for the home. The market conditions are a huge factor in what you offer. If it’s a buyer’s market (more homes than buyers to buy them), you may have more leeway and be able to make a lower offer and negotiate more and possibly get a better price. If it’s a seller’s market (more buyers than there are homes to sell), then you’ll want to offer close to your top end and get the deal done as quickly as possible, before another buyer decides it’s their dream home too and you end up in competition. A good Buyer’s Agent, like Jamie & Sherry will be able to advise you of the market conditions and determine the initial offer price based on those factors to get you to the best deal possible.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">Should I do a home inspection?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p style="letter-spacing:0px; word-spacing:1px;">Absolutely! When you look at a home as a buyer, you’re looking at the space, the location, and the esthetics of the house. It’s exciting when you find what you think is your dream home and you may miss things. A good Buyer’s agent, like Jamie & Sherry, will be able to point things out (positive & negative) about the home, but they won’t open the furnace, or the electrical panel, or check the foundation thoroughly and these are things that could potentially cost you a lot of money to repair. For an investment of a few hundred dollars, it’s completely worth it to know up front about any issues or to know you are buying a good home. A good Buyer’s Agent, like Jamie & Sherry, can provide you with a list of reputable home inspectors.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">Our offer is accepted, now what?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>Now is the time to do the home inspection, get the details over to the Lender, get the deposit to the Listing Agent's office. A lot of this stuff will be done behind the scenes by your Buyer’s Agent.</p>
						</div>
					</div>
				</li>
				<li>
					<h3><a href="#">What happens to my deposit while I wait to close on my new home?</a></h3>
					<div class="text-holder">
						<div class="text-wrapp">
							<p>Your deposit will sit in a trust account at the Seller’s Agent’s real estate company. It will remain in trust until the day of closing to become part of the payment for the house.</p>
						</div>
					</div>
				</li>
			</ol>
			
			<!--
<ol class="order-list order-list-mark">
				<li>
					<h3><a href="#">How do I know if the list price is fair?</a></h3>
				</li>
				<li>
					<h3><a href="#">How do I know what price to offer?</a></h3>
				</li>
				<li>
					<h3><a href="#">Should I do a home inspection?</a></h3>
				</li>
				<li>
					<h3><a href="#">Our offer is accepted, now what?</a></h3>
				</li>
				<li>
					<h3><a href="#">What happens to my deposit while I wait to close on my new home?</a></h3>
				</li>
			</ol>
-->
		</section><!-- end of dream home section  -->
	</article>
</section>
<?php
function show_hide(){
	?>
	<script>
	$(function(){
		$('.order-list li').each(function(i,el){
			$(this).find('.text-holder').hide();
			$(this).find('h3 a').attr('href','').click(function(e){
				e.preventDefault();
			});
			$(this).find('h3').click(function(){
				//$(this).parent().find('.text-holder').slideToggle();
				$(this).parent().find('.text-holder').toggle();
			});
		});
	});
	</script>
	<?php
}
add_action('wp_footer','show_hide');
?>
			<?php get_footer();?>
