<?php
/*
Template Name: seller FAQ
*/
get_header();
?>
			
				<article class="content" id="seller-faq">
					<h1><img src="<?php bloginfo('stylesheet_directory');?>/images/seller-faq-text-1.png" alt="" /></h1>
					<section class="section">
						<h2>Money</h2>
						<ol class="order-list">
							<li>
								<h3><a href="#">Do I have to pay HST?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>Yes, HST is paid on the commission, which is paid by the Seller.</p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">Do I have to pay the Land Transfer Tax?</a></h3>
								<div class="text-holder">
									<p style="letter-spacing:0px;">No, Land Transfer Tax is only applicable to a home you buy, not sell. The Buyer of your home is responsible for it.</p>
									
								</div>
							</li>
							<li>
								<h3><a href="#">How much will it cost me to list with a Realtor?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>Realtor commissions are negotiable but are typically around 4 - 6% plus HST. Some may list your home for less but you should always check what they are offering. Are they a local Realtor, do they know the market you are in, do they know the houses, the pricing, how much experience do they have, what is their marketing plan, how are their negotiating skills? You should always choose your Realtor based on the skills, experience and expertise, not by the cheapest commission rate. Sometimes the cheaper commission can ending up costing you more in the long run because of ineffective representation, lack of marketing to expose your home to the most buyers possible and poor negotiating skills which can mean less money for you. Jamie & Sherry have the skills, market & area knowledge, experience and comprehensive marketing plan to ensure your home sells at the highest possible price in the shortest amount of time.</p>
									</div>
								</div>
							</li>
						</ol>
						

					</section> <!-- end of money section  -->
					<section class="section section-mark">
						<h2>Selling My Home</h2>
						<ol class="order-list">
							<li>
								<h3><a href="#">How do I know what my home is worth?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>The definition of market value is ‘the highest price a purchaser will pay for a property having reviewed similar properties sold recently and those currently available for sale in the immediate area’. Basically this just means that a buyer won’t likely pay more for your home than a similar home just sold for, or more than they can get the same house down the street for right now. Market conditions play a big part in this determination as well (Buyer’s Market, Seller’s Market, Balanced Market). Jamie & Sherry will help you determine the value of your home by preparing a Comparative Market Analysis (CMA) of your home with information on the recent sales of homes in your area, as well as current listings and market conditions. Their goal is to get you the most money possible in any market. </p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">How do I know what price to list for?</a></h3>
								<div class="text-holder">
									<p>The first step is to determine what your home is worth. Then depending on market conditions, the number of other listings you are competing against and your motivation, you set the price. In most instances, pricing relatively close to your homes value will get you the most attention and the quickest offers, which is ideal. Jamie & Sherry will help you determine value by preparing a Comparative Market Analysis (CMA) and using their experience, expertise and knowledge of the current market conditions, will help you determine the list price that will get you the quickest sale for the most money possible.</p>
								</div>
							</li>
							<li>
								<h3><a href="#">Why shouldn’t I price my house a little high since I can always drop my price later…people can always make an offer…so I’ll have more negotiating room…</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>Whatever your reasoning for listing your home high, it’s a strategy that can and probably will backfire. As soon as a home comes on the market a flurry of activity and interest surrounds it. This is a crucial time when Realtors and potential buyers really take notice. If the home is overpriced, it doesn’t take long for potential buyers to lose interest. Keep in mind that buyers are looking at your competition too and will see that your home is overpriced and probably won’t waste time making an offer because they’ll think that you are unrealistic. Realtors will quickly lose interest as well and will stop showing your home, opting to show and sell the more realistically priced competition instead. By the time your price drops to a more realistic level, many buyers have already gone elsewhere and now your home looks like it has something wrong with it because it’s been listed too long. To generate interest, your price will likely need to drop below the competition, resulting in less money for you. Not a good strategy. Jamie & Sherry know the market conditions and best pricing strategies to sell your home. They are skilled negotiators who will negotiate the best price possible for your home.</p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">How long is a home typically on the market?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>The length of time on the market is determined by many factors, the asking price, the condition of your home and market conditions. Jamie & Sherry can provide you with all the market information necessary to determine a typical selling time frame. Regardless of the market conditions, their goal is to sell your home in the shortest amount of time and at the highest price possible.</p>
									</div>
								</div>
							</li>
							
							<li>
								<h3><a href="#">Why do I need to stage my home?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>Staged homes sell faster and for more money. When you decorate your home, you decorate for your tastes and the way you and your family live and what you like. It may not appeal to everyone. Most people are not visual and can’t look past people’s tastes and the way they live. Staging depersonalizes the space to a more neutral palate and to appeal to the most buyers possible. If a buyer walks into a home that looks like a model home, they feel like they can just move in and live there. They are more likely to make a high offer because it’s exactly what they’re looking for. Jamie & Sherry provide a full staging consultation as part of their marketing plan to ensure that your home shows its absolute best and will get you the most money possible.</p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">Why should I spend the money to paint or do fix-ups? People can see past them</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p style="word-spacing:1px">If you are in an area that buyers are looking to buy fixer-uppers, or homes are being torn down to make way for newer, bigger homes, then it might not matter as much. You just want to make sure the home is very clean and the front and rear yards are in good repair. However the majority of sales are to buyers not looking to get saddled with tonnes of repairs. They want to just  move in and enjoy. Minor repairs and fix-ups might seem minor to you, but they may turn many buyers off or the buyer will attach a much higher value to the cost of repairing them and take the cost off their offer. It could end up costing you more money than it would cost you to just fix them. Jamie & Sherry can provide you tips and suggestions, as well as the names of reputable companies to help you do those repairs to get you the most money possible for your home.</p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">When is the best time to sell?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p style="word-spacing:1px">Typically the spring market is a great time to sell, March, April, May. This is generally when the most buyers are out looking for a home. However it’s also when you’ll have the most competition because everyone else wants to sell in the spring too. Fall is generally a great time to sell as well, September, October, November. However, market conditions play a big factor. At the end of 2008, the ‘market meltdown’, there was no fall market and the spring market didn’t pick up until much later. In 2010, the busiest market was actually February & March and it was much quieter in April, May. Houses sell each and every month, so whatever your reasons are, anytime can be the right time to sell for you. Jamie & Sherry stay on top of all market conditions and can provide you with the information you need to determine the best time to sell. Regardless of the time of year, their goal is sell your home at the highest possible price in the shortest amount of time.</p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">Why do I need a Realtor to sell my home?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p style="word-spacing:1px">Some people believe that selling their home themselves will save them money, but they don’t realize how much time, effort and money goes into marketing a home. Just putting a ‘For Sale by Owner’ sign on the lawn isn’t necessarily going to attract buyers. You limit your buyers pool to people who drive on your street. How are you marketing your home? How will people know about it? How do you know what to price it at? Are the buyers qualified that you are taking your time and energy to show the house to? Do you have time to be around every day to show the home? People don’t generally want to look at the home around your schedule. Also, buyers generally prefer to work with Realtors so they know their best interests are being looked after, so you’ll likely find you’ll end up working with a Realtor and paying their commission anyway, and do you really want to be negotiating with someone who is trained to sell homes for a living? If you do get lucky enough to find a buyer who wants to deal with you directly, what is the benefit to them to deal with you unless they get the home for much cheaper, effectively eating away at the money you wanted to save. Save yourself the time and aggravation, call Jamie & Sherry to put their comprehensive marketing plan to work and to sell your home for top dollar, fast!</p>
									</div>
								</div>
							</li>
							<li>
								<h3><a href="#">Should I buy first or sell first?</a></h3>
								<div class="text-holder">
									<div class="text-wrapp">
										<p>There are many factors to take into account when making this decision. Market conditions, your financial situation, your motivation for selling/ buying. There are good points to doing it either way, but ultimately it comes down to you and your risk tolerance.</p>
										<ul class="seller-list disc">
											<li>Buying first will probably mean that you’ll get exactly the home you want and won’t have to settle because you’ve sold and just need a house to move to. However, what if it takes longer than you thought to sell your home? You could end up with two mortgages. Are you in a position to handle this? Do you even want to? What if you get less for your home than you hoped, will you still be able to afford the home you bought? If you’re in a financial position to accept the risk, then by all means, buy that dream home first. </li>
											<li>Selling first means you’ll know exactly how much you have to spend on your next home. It will mean you won’t likely end up with 2 mortgages at one time (unless you want to). But, it can also mean potentially having to rent a home or put stuff in storage if you don’t find that ‘right’ house. It could mean buying a home that you’re not exactly in love with because you need some place to live.</li>
										</ul>
										<p>Jamie & Sherry can meet with you and discuss the market conditions so you’ll know the facts about what might make sense to do first. However, it comes down to your tolerance so they will walk you through the options and help you determine what makes the most sense for your situation.</p>
									</div>
								</div>
							</li>
						</ol>
						
						

					</section> <!-- end of selling section  -->
					
				</article>
			</section>
			<?php
function show_hide(){
	?>
	<script>
	$(function(){
		$('.order-list li').each(function(i,el){
			$(this).find('.text-holder').hide();
			$(this).find('h3 a').attr('href','').click(function(e){
				e.preventDefault();
			});
			$(this).find('h3').click(function(){
				$(this).parent().find('.text-holder').toggle();
			});
		});
	});
	</script>
	<?php
}
add_action('wp_footer','show_hide');
?>
			<?php get_footer();?>
