<?php
/*
Template Name: sellers
*/
?>

<?php get_header();?>
	<div class="gallery-box">
		<div class="gallery-holder">
			<div class="text-box">
				<h1><img src="<?php bloginfo('stylesheet_directory');?>/images/seller-text-1.png" alt="" /></h1>
				<p class="seriff" style="word-spacing:1px;">Your house is a valuable asset, one you’ve spent a great deal of time, money and energy making your home. Whether you’re trading up to a larger home, making a move to accommodate your changing lifestyle or moving to a new location altogether, selling your home is a major undertaking. The whole process can be very complex, time consuming and stressful. It’s important to use a trusted Realtor who can help you navigate through the process and ensure the best return on one of your largest investments.</p>
	            <h2>&ldquo;It pays to choose the right Realtor!&rdquo;</h2>
	            <p class="seriff">Our goal as your Realtor is to provide you with our expertise, experience & skills to ensure you get the most money for your home. We will provide you with unbiased, objective opinions to help you make informed decisions. We want your home selling experience to be positive and rewarding.
	            </p>
			</div>
		</div>
	</div> 
	<article class="content">
	<h1 class="no-marg">
		<img src="<?php bloginfo('stylesheet_directory');?>/images/seller-text-2.png" alt="" class="seller-text-2" />
	</h1>
	        <section class="section text-box">
	            <p class="justify seriff">Selling your home shouldn’t be filled with stress and confusion, nor should you have to spend your days chasing your Realtor to find out what they are doing for you. It should be a positive, informed process with the least amount of stress possible. We believe that to do this you need to be kept informed so you know exactly what to expect. We have developed an extensive listing plan for all our listings to take the guesswork out of what we are doing for you.</p>
	            <h2 class="left-align">Here’s what you can expect when you put your trust in us to list and sell your home:</h2>
	            <ul class="order-list" id="special-list">
	                <li>
	                    <h3 class="left-align">The skills and experience to help you determine the right price for your home</h3>
	                    <div class="text-holder">
	                        <div class="text-wrapp">
	                            <ul class="seller-list">
	                                <li class="justify">We will provide you with information on all the home listings currently on the market and competing for the same buyer you will be, as well as the recent comparable sales in your area. Using this information as well as our knowledge of current market conditions, we will help you price your home competitively to get you the most money possible.</li>
	                            </ul>
	                        </div>
	                    </div>
	                </li>
	                <li>
	                    <h3 class="left-align">A comprehensive marketing plan to provide exposure of your home to the most buyers possible, 24 hours a day, 7 days a week, which includes:</h3>
	                    <div class="text-holder">
	                        <div class="text-wrapp">
	                            <ul class="seller-list">
	                                <li>A full staging consultation with an Accredited Staging Professional – so your home looks it’s best and appeals to the most buyers possible</li>
	                                <li>Professional photos and virtual tours of your home</li>
	                                <li>Our highly recognized RE/MAX for sale sign placed on your lawn</li>
	                                <li>Full Colour Advertising in the Oakville Beaver and the Real Estate Book</li>
	                                <li>Your home listing, photos and virtual tours on 16 different websites</li>
	                                <li>Direct mail to thousands of potential buyers of your home</li>
	                                <li>Full colour brochures of your home</li>
	                                <li>An Agent open house and weekend public opens houses (held at your discretion)</li>                                                
	                            </ul>
	                        </div>
	                    </div>
	                </li>
	                <li>
	                    <h3 class="left-align">A communication plan that provides continual updates and includes:</h3>
	                    <div class="text-holder">
	                        <div class="text-wrapp">
	                            <ul class="seller-list">
	                                <li>Our availability by phone, fax, text, e-mail and office paging so you can send us your questions anytime</li>
	                               <li>Feedback updates by e-mail – after agents show your home, we will follow-up with them within 24 hours of the showing and provide you with any feedback they provide us</li>
	                               <li style="word-spacing:-0.5px;">Market updates – we will keep you informed of any market activity in your area (new listings, sales, price changes etc.)</li> 
	                            </ul>
	                        </div>
	                    </div>
	                </li>
	                <li>
	                    <h3 class="left-align">The negotiating expertise to get you the best possible price for your home</h3>
	                    <div class="text-holder">
	                        <div class="text-wrapp">
	                            <ul class="seller-list">
	                                <li>When an offer comes in we will explain all the options and walk you through the process and then we will put our negotiating skills to work to get you the most money possible.</li>
	                            </ul>
	                        </div>
	                    </div>
	                </li>
	                <li>
	                    <h3 class="left-align">Congratulations, your home is sold!</h3>
	                    <div class="text-holder">
	                        <div class="text-wrapp">
	                            <ul class="seller-list">
	                                <li class="justify" style="word-spacing:1px">Just because your home is sold doesn’t mean our job is done. We are here for you just as we have been throughout the process. You can count on us today, tomorrow and long after the sale. If you have any questions, need a referral to a painter, contractor etc., or for any of your future real estate needs, please do not hesitate to contact us. We’re here for you!</li>
	                            </ul>
	                        </div>
	                    </div>
	                </li>
	            </ul>
	        </section>
	</article> 
</section> <!-- end of buyers section -->
<?php get_footer(); ?>